package
{
	import com.dipigraphics.youtubeData.*;
	
	import flash.display.Sprite;

	[SWF(backgroundColor="#FFFFFF", frameRate = 60, quality = "Best")]

	public class youtubeDataDemo extends Sprite
	{
		
		
		public function youtubeDataDemo()
		{
			
			// Create a query (here we ask the first Five results for the search term "Beatles" and order these result by viewcount )
			var query:YoutubeDataQuery = new YoutubeDataQuery("Beatles",{maxResults:5, orderBy:"viewCount"});
			
			// Create a YoutubeData Object to store feeds using a query as parameter.
			var feeds:YoutubeData = new YoutubeData(query);
			
			// Using YoutubeDataEvent to know when you have acces to the results
			feeds.addEventListener(YoutubeDataEvent.ON_COMPLETE, dataAreLoaded);	
			
		}
		
		private function dataAreLoaded(e:YoutubeDataEvent):void{
			
			// Store the result in a YoutubeDataFeeds Object
			var results:YoutubeDataFeeds = new YoutubeDataFeeds(e.target);
			
			// Total number of results
			var totalResults:int = results.numResults;
			
			// iterate feeds using a YoutubeDataFeed Object
			// Then you have the auto-completion enable for each information on the feed.
			for each(var feed:YoutubeDataFeed in results ) {
				trace(
					feed.ID +"\n" +
					feed.title +"\n" +
					feed.description +"\n"
				);
			}
	
		}
				
	}
}